Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Class IcapClientCodec

    java.lang.Object
      ch.mimo.netty.handler.codec.icap.IcapClientCodec

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelDownstreamHandler, org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler

    public class IcapClientCodec

extends Object
implements org.jboss.netty.channel.ChannelUpstreamHandler, org.jboss.netty.channel.ChannelDownstreamHandler

A combination of @see `IcapRequestEncoder` and @see `IcapResponseDecoder` which enables easier client side ICAP implementation.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)
See Also:
  `IcapRequestEncoder`, `IcapResponseDecoder`, `IcapServerCodec`

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler
`org.jboss.netty.channel.ChannelHandler.Sharable`

Constructor Summary
`IcapClientCodec()`
`IcapClientCodec(int maxInitialLineLength, int maxIcapHeaderSize, int maxHttpHeaderSize, int maxChunkSize)`

Method Summary
`void` | `handleDownstream(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ChannelEvent e)`
`void` | `handleUpstream(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ChannelEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IcapClientCodec

    public IcapClientCodec(int maxInitialLineLength,
                           int maxIcapHeaderSize,
                           int maxHttpHeaderSize,
                           int maxChunkSize)

Parameters:
  `maxInitialLineLength` -
  `maxIcapHeaderSize` -
  `maxHttpHeaderSize` -
  `maxChunkSize` -
See Also:
  `IcapMessageDecoder constructor for more details.`

### IcapClientCodec

    public IcapClientCodec()

Method Detail

### handleDownstream

    public void handleDownstream(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                 org.jboss.netty.channel.ChannelEvent e)
                          throws Exception

  Specified by:
    `handleDownstream` in interface `org.jboss.netty.channel.ChannelDownstreamHandler`
  Throws:
    `Exception`

### handleUpstream

    public void handleUpstream(org.jboss.netty.channel.ChannelHandlerContext ctx,
                               org.jboss.netty.channel.ChannelEvent e)
                        throws Exception

  Specified by:
    `handleUpstream` in interface `org.jboss.netty.channel.ChannelUpstreamHandler`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.